## osinfo_deploymentlist

osinfo_deploymentlist — A list of hardware deployment

## Functions

OsinfoDeploymentList * | osinfo_deploymentlist_new ()
OsinfoDeploymentList * | osinfo_deploymentlist_new_copy ()
OsinfoDeploymentList * | osinfo_deploymentlist_new_filtered ()
OsinfoDeploymentList * | osinfo_deploymentlist_new_intersection ()
OsinfoDeploymentList * | osinfo_deploymentlist_new_union ()

## Types and Values

#define | OSINFO_TYPE_DEPLOYMENTLIST

## Description

OsinfoDeploymentList is a list specialization that stores only OsinfoDeployment objects.

## Functions

### osinfo_deploymentlist_new ()

    OsinfoDeploymentList *
    osinfo_deploymentlist_new (void);

Construct a new deployment list that is initially empty.

#### Returns

an empty deployment list.

[transfer full]

### osinfo_deploymentlist_new_copy ()

    OsinfoDeploymentList *
    osinfo_deploymentlist_new_copy (OsinfoDeploymentList *source);

`osinfo_deploymentlist_new_copy` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_copy()` instead.

Construct a new deployment list that is filled with deployments from `source`

#### Parameters

source | the deployment list to copy |

#### Returns

a copy of the deployment list.

[transfer full]

### osinfo_deploymentlist_new_filtered ()

    OsinfoDeploymentList *
    osinfo_deploymentlist_new_filtered (OsinfoDeploymentList *source,
                                        OsinfoFilter *filter);

`osinfo_deploymentlist_new_filtered` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_filtered()` instead.

Construct a new deployment list that is filled with deployments from `source` that match `filter`

#### Parameters

source | the deployment list to copy |
filter | the filter to apply |

#### Returns

a filtered copy of the deployment list.

[transfer full]

### osinfo_deploymentlist_new_intersection ()

    OsinfoDeploymentList *
    osinfo_deploymentlist_new_intersection
                                   (OsinfoDeploymentList *sourceOne,
                                    OsinfoDeploymentList *sourceTwo);

`osinfo_deploymentlist_new_intersection` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_intersection()` instead.

Construct a new deployment list that is filled with only the deployments that are present in both `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first deployment list to copy |
sourceTwo | the second deployment list to copy |

#### Returns

an intersection of the two deployment lists.

[transfer full]

### osinfo_deploymentlist_new_union ()

    OsinfoDeploymentList *
    osinfo_deploymentlist_new_union (OsinfoDeploymentList *sourceOne,
                                     OsinfoDeploymentList *sourceTwo);

`osinfo_deploymentlist_new_union` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_union()` instead.

Construct a new deployment list that is filled with all the deployments that are present in either `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first deployment list to copy |
sourceTwo | the second deployment list to copy |

#### Returns

a union of the two deployment lists.

[transfer full]

## Types and Values

### OSINFO_TYPE_DEPLOYMENTLIST

    #define OSINFO_TYPE_DEPLOYMENTLIST (osinfo_deploymentlist_get_type ())

## See Also

OsinfoList, OsinfoDeployment